Bug 191675

Summary: [JSC] Drop ARM_TRADITIONAL support in LLInt, baseline JIT, and DFG
Product: WebKit Reporter: Yusuke Suzuki <ysuzuki>
Component: New BugsAssignee: Yusuke Suzuki <ysuzuki>
Status: RESOLVED FIXED    
Severity: Normal CC: ggaren, guijemont, keith_miller, mark.lam, sam, sbarati, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch
none
Patch mark.lam: review+

Description Yusuke Suzuki 2018-11-14 23:46:30 PST
[JSC] Drop ARM_TRADITIONAL support in LLInt, baseline JIT, and DFG
Comment 1 Yusuke Suzuki 2018-11-14 23:49:35 PST
Created attachment 354894 [details]
Patch
Comment 2 Yusuke Suzuki 2018-11-15 00:03:57 PST
Created attachment 354897 [details]
Patch
Comment 3 Yusuke Suzuki 2018-11-15 00:26:40 PST
Created attachment 354898 [details]
Patch
Comment 4 Yusuke Suzuki 2018-11-15 00:40:52 PST
Created attachment 354899 [details]
Patch
Comment 5 Guillaume Emont 2018-11-15 02:12:18 PST
Thanks for making the patch!
Should we wait until DFG support for Armv7 is back in the tree to test this properly?
In the meantime, I will test it over the patch in Bug 191548.
Comment 6 Yusuke Suzuki 2018-11-17 01:52:58 PST
(In reply to Guillaume Emont from comment #5)
> Thanks for making the patch!
> Should we wait until DFG support for Armv7 is back in the tree to test this
> properly?
> In the meantime, I will test it over the patch in Bug 191548.

I think this can be landed separately since ARM and ARMv7 are different architectures.
Comment 7 Yusuke Suzuki 2018-11-20 15:37:37 PST
Ping?
Comment 8 Yusuke Suzuki 2018-11-21 18:56:42 PST
Ping?
Comment 9 Yusuke Suzuki 2018-11-21 19:35:12 PST
Created attachment 355456 [details]
Patch
Comment 10 Mark Lam 2018-11-21 20:50:23 PST
Comment on attachment 355456 [details]
Patch

r=me
Comment 11 Yusuke Suzuki 2018-11-21 21:47:11 PST
Committed r238439: <https://trac.webkit.org/changeset/238439>
Comment 12 Radar WebKit Bug Importer 2018-11-21 21:48:29 PST
<rdar://problem/46207730>